package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectTypeFactory
{
    private ProjectTypeFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectType getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectType)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2AC7B2D2") ,com.kingdee.eas.hr.project.IProjectType.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectType getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectType)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2AC7B2D2") ,com.kingdee.eas.hr.project.IProjectType.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectType getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectType)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2AC7B2D2"));
    }
    public static com.kingdee.eas.hr.project.IProjectType getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectType)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2AC7B2D2"));
    }
}